<?php
require_once('../com/htmlcode.php');
require_once('../com/database.php');
require_once('../com/session.php');


if($session->logged_in) {
?>

<!doctype html>
<html>
<head>
<?php require_once('../inc/common_htmlhead.inc'); ?>
<script language="javascript" type="text/JavaScript" src="../script/reg.js"></script>
<script language="javascript" type="text/JavaScript" src="../script/loadgateway.js"></script>


	<script src="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.js"></script>
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.css">
	<!--link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/simple.css"-->
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/grey.css">
	
</head>

<body id="page-main">
<?php require_once('../inc/common_header.inc'); ?>


<form name="mainform">
			
	<!-- регистрации -->
	<fieldset class="fieldset-sector" style="width:98%;">
	<legend class="legend-sector" style="cursor:pointer;" onclick="openGatewayModalForm(1);">Gateway <img src="../inc/img/add.gif" style="vertical-align:middle;cursor:pointer;" title="Add Gateway"></legend>


	<!-- фильтр -->
	<fieldset class="fieldset-filter">
	<table class="nb" style="width:100%; margin-top: 10px;">
	<tr>
	
	<td class="editLineParam" style="width:0;">address</td>
	<td class="editLineValue"><input id="eGatewayAddress" type="text" class="selectw120"/></td>
	
	<td class="editLineParam" style="width:0;">description</td>
	<td class="editLineValue"><input id="eGatewayDescription" type="text" class="selectw120"/></td>
	
	<td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doGatewayFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td>
	
	</tr>
	</table>
	</fieldset>
	
	<!-- Gateway -->
	<div id="GatewayTableRecords" style="width:100%;text-align:right;color:#777;">records: 0</div>
	
	<table id="GatewayTable" class="nb" style="width:100%">
	<tr class="editTableHeader">

		<td style="display:none">row_idx</td>
		<td style="display:none">row_mode</td>
		<td style="display:none">id</td>

		<td class="infoTableHeader">gwid</td>
		<td class="infoTableHeader">type</td>
		<td class="infoTableHeader">address</td>
		<td class="infoTableHeader">strip</td>
		<td class="infoTableHeader">pri_prefix</td>
		<td class="infoTableHeader">attrs</td>
		<td class="infoTableHeader">probe_mode</td>
		<td class="infoTableHeader">state</td>
		<td class="infoTableHeader">socket</td>
		<td class="infoTableHeader">description</td>

		<td>&nbsp;</td>
		<td>&nbsp;</td>

	</tr>
	</table>
	
		<div> <table id="GatewayTablePageLine"> <tr><td></td></tr> </table> </div>
	
	</fieldset>

<!--
    id
    gwid
    "type"
    address
    strip
    pri_prefix
    attrs
    probe_mode
    state
    socket
    description
-->


<!-- addGatewayForm ---------------------------------------------------------------------------------- -->

	<div class="g-hidden">
	
	<div class="box-modal" id="addGatewayForm" mode="0">

		<div class="box-modal_name">Gateway</div>
		<div class="box-modal_close arcticmodal-close">close</div>


		<table>
		
		<tr style="display:none">
			<td>row_idx</td>
			<td><input id="GateForm_row_idx" type="text" value=""></td>
		</tr>
		
		<tr style="display:none">
			<td>id</td>
			<td><input id="GateForm_id" type="text" class="selectw200" readonly value=""></td>
		</tr>
		
		<tr>
			<td>gwid</td>
			<td><input id="GateForm_gwid" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>type</td>
			<td><input id="GateForm_type" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>address</td>
			<td><input id="GateForm_address" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>strip</td>
			<td><input id="GateForm_strip" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>pri_prefix</td>
			<td><input id="GateForm_pri_prefix" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>attrs</td>
			<td><input id="GateForm_attrs" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>probe_mode</td>
			<td><input id="GateForm_probe_mode" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>state</td>
			<td><input id="GateForm_state" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>socket</td>
			<td><input id="GateForm_socket" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>description</td>
			<td><input id="GateForm_description" type="text" class="selectw200" value=""></td>
		</tr>


		<!-- tr>
			<td>domain</td>
			<td><select id="SubForm_domain" class="selectw200" value=""></select></td>
		</tr -->

		</table>

		<table width="100%" style="margin-top:10px;">
		<tr>
		<td style="text-align:right;"><input type="button" class="inputbt" value="Ok" style="cursor:pointer;" onclick="addGateway();"></td>
		</tr>
		</table>
			
	</div>
	
	
	</div>
	
<!-- addGatewayForm ---------------------------------------------------------------------------------- -->



<br><br><br><br>
<div class="block-fixed">
<div class="block-fixed-footer">
<table class="nb">
<tr>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionApply" value=" Save " onclick="onSaveClick();doGatewayFind(1);"></td>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionCancel" value=" Cancel " onclick="document.location.reload(true);"></td>
</tr>
</table>
</div>
</div>


</form>

<?php require_once('../inc/common_footer.inc'); ?>
</body>
</html>


<?php
} else {
	print(LoginForm());
}
?>