<?php
require_once('../com/htmlcode.php');
require_once('../com/database.php');
require_once('../com/session.php');


if($session->logged_in) {
?>

<!doctype html>
<html>
<head>
<?php require_once('../inc/common_htmlhead.inc'); ?>
<script language="javascript" type="text/JavaScript" src="../script/reg.js"></script>
<script language="javascript" type="text/JavaScript" src="../script/loadregistrant.js"></script>


	<script src="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.js"></script>
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/jquery.arcticmodal.css">
	<!--link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/simple.css"-->
	<link rel="stylesheet" href="../lib/jquery_plugin/arcticmodal/themes/grey.css">
	
</head>

<body id="page-main">
<?php require_once('../inc/common_header.inc'); ?>


<form name="mainform">
			
	<!-- регистрации -->
	<fieldset class="fieldset-sector" style="width:98%;">
	<legend class="legend-sector" style="cursor:pointer;" onclick="openRegistrantModalForm(1);">Registrant <img src="../inc/img/add.gif" style="vertical-align:middle;cursor:pointer;" title="Add Registrant"></legend>


	<!-- фильтр -->
	<fieldset class="fieldset-filter">
	<table class="nb" style="width:100%; margin-top: 10px;">
	<tr>
	
	<td class="editLineParam" style="width:0;">username</td>
	<td class="editLineValue"><input id="eRegistrantUsername" type="text" class="selectw120"/></td>
	
	<td class="editLineParam" style="width:0;">registrar</td>
	<td class="editLineValue"><input id="eRegistrantRegistrar" type="text" class="selectw120"/></td>
	
	<td class="editLineParam">&nbsp;</td>
	<td style="text-align:right;"><button class="roundbtn" onclick="doRegistrantFind(1); return false;">Find&nbsp;<img src="../inc/img/loupe.png" style="margin-top:0;padding-left:6px;"></button></td>
	
	</tr>
	</table>
	</fieldset>
	
	<!-- registrant -->
	<div id="RegistrantTableRecords" style="width:100%;text-align:right;color:#777;">records: 0</div>
	
	<table id="RegistrantTable" class="nb" style="width:100%">
	<tr class="editTableHeader">

		<td style="display:none">row_idx</td>
		<td style="display:none">row_mode</td>
		<td style="display:none">id</td>
		<td style="display:none">password</td>

		<td class="infoTableHeader">registrar</td>
		<td class="infoTableHeader">proxy</td>
		<td class="infoTableHeader">aor</td>
		<td class="infoTableHeader">third_party_registrant</td>
		<td class="infoTableHeader">username</td>
		<td class="infoTableHeader">binding_uri</td>
		<td class="infoTableHeader">binding_params</td>
		<td class="infoTableHeader">expiry</td>
		<td class="infoTableHeader">forced_socket</td>
		<td class="infoTableHeader">cluster_shtag</td>
		<td class="infoTableHeader">state</td>

		<td>&nbsp;</td>
		<td>&nbsp;</td>

	</tr>
	</table>
	
		<div> <table id="RegistrantTablePageLine"> <tr><td></td></tr> </table> </div>
	
	</fieldset>


<!-- addRegistrantForm ---------------------------------------------------------------------------------- -->

	<div class="g-hidden">
	
	<div class="box-modal" id="addRegistrantForm" mode="0">

		<div class="box-modal_name">Registrant</div>
		<div class="box-modal_close arcticmodal-close">close</div>


		<table>
		
		<tr style="display:none">
			<td>row_idx</td>
			<td><input id="RegForm_row_idx" type="text" value=""></td>
		</tr>
		
		<tr style="display:none">
			<td>id</td>
			<td><input id="RegForm_id" type="text" class="selectw200" readonly value=""></td>
		</tr>
		
		<tr>
			<td>registrar <span style="color:red;">*</span></td>
			<td><input id="RegForm_registrar" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>proxy</td>
			<td><input id="RegForm_proxy" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>aor <span style="color:red;">*</span></td>
			<td><input id="RegForm_aor" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>third_party_reg</td>
			<td><input id="RegForm_third_party_registrant" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>username</td>
			<td><input id="RegForm_username" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>password</td>
			<td><input id="RegForm_password" type="password" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>binding_uri <span style="color:red;">*</span></td>
			<td><input id="RegForm_binding_uri" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>binding_params</td>
			<td><input id="RegForm_binding_params" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>expiry</td>
			<td><input id="RegForm_expiry" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>forced_socket</td>
			<td><input id="RegForm_forced_socket" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>cluster_shtag</td>
			<td><input id="RegForm_cluster_shtag" type="text" class="selectw200" value=""></td>
		</tr>

		<tr>
			<td>state</td>
			<td><input id="RegForm_state" name="SubForm_state" type="checkbox" value="0"></td>
		</tr>

		<!-- tr>
			<td>domain</td>
			<td><select id="SubForm_domain" class="selectw200" value=""></select></td>
		</tr -->

		</table>

		<table width="100%" style="margin-top:10px;">
		<tr>
		<td style="text-align:right;"><input type="button" class="inputbt" value="Ok" style="cursor:pointer;" onclick="addRegistrant();"></td>
		</tr>
		</table>
			
	</div>
	
	
	</div>
	
<!-- addRegistrantForm ---------------------------------------------------------------------------------- -->



<br><br><br><br>
<div class="block-fixed">
<div class="block-fixed-footer">
<table class="nb">
<tr>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionApply" value=" Save " onclick="onSaveClick();doRegistrantFind(1);"></td>
<td colspan="2" style="vertical-align:bottom"><input type="button" class="inputbt" name="ConnectionCancel" value=" Cancel " onclick="document.location.reload(true);"></td>
</tr>
</table>
</div>
</div>


</form>

<?php require_once('../inc/common_footer.inc'); ?>
</body>
</html>


<?php
} else {
	print(LoginForm());
}
?>